Package uk.ac.starlink.tfcat

# Interface Reporter

All Known Implementing Classes:
  `BasicReporter`, `DummyReporter`

public interface Reporter
Recipient for validation messages.

Since:
  9 Feb 2022
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`void`
`checkUcd(String ucd)`
Report on validity of the supplied Uniform Content Descriptor.
`void`
`checkUnit(String unit)`
Report on validity of the supplied unit string.
`Reporter`
`createReporter(int subContext)`
Returns a reporter suitable for use in a subcontext characterised by an integer, that usually means an indexed array element below the current level.
`Reporter`
`createReporter(String subContext)`
Returns a reporter suitable for use in a subcontext characterised by a string, that usually means a level down in the object hierarchy.
`void`
`report(String msg)`
Reports an error message.

## Method Details

### report

void report(String msg)
Reports an error message. The message should generally contain human-readable information about some conformance error, but the location of the error is not required.

Parameters:
  `msg` - human-readable message

### checkUcd

void checkUcd(String ucd)
Report on validity of the supplied Uniform Content Descriptor. Any issues of concern will be reported.

Parameters:
  `ucd` - UCD
See Also:
  - UCD1+

### checkUnit

void checkUnit(String unit)
Report on validity of the supplied unit string. Any issues of concern will be reported.

Parameters:
  `unit` - unit string
See Also:
  - VOUnits

### createReporter

Reporter createReporter(String subContext)
Returns a reporter suitable for use in a subcontext characterised by a string, that usually means a level down in the object hierarchy.

Parameters:
  `subContext` - subcontext designation
Returns:
  new reporter

### createReporter

Reporter createReporter(int subContext)
Returns a reporter suitable for use in a subcontext characterised by an integer, that usually means an indexed array element below the current level.

Parameters:
  `subContext` - subcontext designation
Returns:
  new reporter